<template>
  <svg viewBox="0 0 219 219" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path d="M184.058 161.908L149.467 0.726944L218.649 0.726944L184.058 161.908Z" :fill="top"/>
    <path d="M61.5698 161.908L26.9791 0.726944L96.1604 0.726944L61.5698 161.908Z" :fill="top"/>
    <path d="M138.791 126.923H74.8837L146.779 86.9399L138.791 126.923Z" :fill="middle"/>
    <path d="M34.9419 56.9527L69.5325 218.134H0.351194L34.9419 56.9527Z" :fill="bottom"/>
    <path d="M157.43 56.9527L192.021 218.134H122.84L157.43 56.9527Z" :fill="bottom"/>
  </svg>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    top: {
      type: String,
      required: true,
    },
    middle: {
      type: String,
      required: true,
    },
    bottom: {
      type: String,
      required: true,
    },
  },
});
</script>
